<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://ws.up.edu.br/" targetNamespace="http://ws.up.edu.br/" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="buscar" type="tns:buscar" />
  <xs:element name="buscarResponse" type="tns:buscarResponse" />
  <xs:element name="excluir" type="tns:excluir" />
  <xs:element name="excluirResponse" type="tns:excluirResponse" />
  <xs:element name="listar" type="tns:listar" />
  <xs:element name="listarResponse" type="tns:listarResponse" />
  <xs:element name="pessoa" type="tns:pessoa" />
  <xs:element name="salvar" type="tns:salvar" />
  <xs:element name="salvarResponse" type="tns:salvarResponse" />
  <xs:complexType name="listar">
    <xs:sequence />
  </xs:complexType>
  <xs:complexType name="listarResponse">
    <xs:sequence>
      <xs:element minOccurs="0" maxOccurs="unbounded" name="return" type="tns:pessoa" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="pessoa">
    <xs:sequence>
      <xs:element minOccurs="0" name="endereco" type="tns:endereco" />
      <xs:element minOccurs="0" name="foto" type="xs:base64Binary" />
      <xs:element minOccurs="0" name="id" type="xs:int" />
      <xs:element minOccurs="0" name="nome" type="xs:string" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="endereco">
    <xs:sequence>
      <xs:element minOccurs="0" name="id" type="xs:int" />
      <xs:element minOccurs="0" name="numero" type="xs:string" />
      <xs:element minOccurs="0" name="rua" type="xs:string" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="buscar">
    <xs:sequence>
      <xs:element minOccurs="0" name="arg0" type="xs:int" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="buscarResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="return" type="tns:pessoa" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="salvar">
    <xs:sequence>
      <xs:element minOccurs="0" name="arg0" type="tns:pessoa" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="salvarResponse">
    <xs:sequence />
  </xs:complexType>
  <xs:complexType name="excluir">
    <xs:sequence>
      <xs:element minOccurs="0" name="arg0" type="xs:int" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="excluirResponse">
    <xs:sequence />
  </xs:complexType>
</xs:schema>